Subject: bug#22650: guixSD default umask is 0000

From: myglc2 <[email-masked]>
Date: Mon, 29 Feb 2016 21:25:59 -0500

[email-masked] (Ludovic Courtès) writes:

> myglc2 <[email-masked]> skribis:
>
>> glc@g1 ~$ ssh glc4@g1
>> glc4@g1's password: 
>> glc4@g1 ~$ umask
>> 0000
>
> Oh indeed, I can reproduce it.
>
> The problem is that lshd resets the umask when it starts (in
> src/daemon.c:daemon_init) but never changes it again.
>
> Perhaps we should be using pam_umask and login.defs (although I’m unsure
> if lshd would honor it), or alternately add explicitly set the umask in
> /etc/profile.
>
> Thoughts?

Thanks for looking into this. Sorry, but I'm not qualified to comment.